Summary:	Tools for monitoring SMART capable hard disks
Name:		smartmontools
Version:	5.42
Release: 2.100.2%{?dist}
Epoch:		1
Group:		System Environment/Base
License:	GPL
URL:		http://smartmontools.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	smartd.initd
Source2:	smartmontools.sysconf
Patch3:		smartmontools-5.38-perc.patch
Patch5:		smartmontools-5.38-defaultconf.patch

# rhbz#850767
Patch6:         smartmontools-5.42-csfix.patch
Patch7: no-email-root.patch
# End Oracle Patches

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
PreReq:		/sbin/chkconfig /sbin/service
Requires:	fileutils mailx
BuildRequires: readline-devel ncurses-devel /usr/bin/aclocal /usr/bin/automake /usr/bin/autoconf util-linux groff gettext
BuildRequires: libselinux-devel
Obsoletes:	kernel-utils
ExclusiveArch:	i386 x86_64 ia64 ppc ppc64

%description
The smartmontools package contains two utility programs (smartctl
and smartd) to control and monitor storage systems using the Self-
Monitoring, Analysis and Reporting Technology System (SMART) built
into most modern ATA and SCSI hard disks. In many cases, these 
utilities will provide advanced warning of disk degradation and
failure.

%prep
%setup -q
%patch3 -p1 -b .perc
%patch5 -p1 -b .defaultconf
%patch6 -p1 -b .csfix
%patch7 -p0

%build
./autogen.sh
%configure --with-selinux --without-systemdsystemunitdir
make CXXFLAGS="$RPM_OPT_FLAGS -fpie" LDFLAGS="-pie -Wl,-z,relro,-z,now"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#rm -f $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/smartd.conf
rm -f examplescripts/Makefile*
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/smartd
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/smartmontools
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop >/dev/null 2>&1
 /sbin/chkconfig --del smartd
fi
exit 0

%post
/sbin/chkconfig --add smartd

%triggerpostun -- kernel-utils
/sbin/chkconfig --add smartd
exit 0

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING INSTALL NEWS README
%doc TODO WARNINGS examplescripts smartd.conf
%{_sbindir}/smartd
%{_sbindir}/smartctl
%{_sbindir}/update-smart-drivedb
%{_datadir}/%{name}
%{_sysconfdir}/rc.d/init.d/smartd
%{_mandir}/man?/smart*.*
%config(noreplace) %{_sysconfdir}/smartd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/smartmontools

%changelog
* Mon Oct 15 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 5.42-2.100.2 
- On Error, do not try to send email to root, as /usr/sbin/sendmail
  does not exist. [bug 14739570]  

* Fri Oct 12 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1:5.42-2.100.1.el5
- update release to confirm to OVM convention

* Thu Aug 23 2012 Michal Hlavinka <mhlavink@redhat.com> - 1:5.42-2
- fix typo in error checking condition (#850767)

* Tue Jun 12 2012 Michal Hlavinka <mhlavink@redhat.com> - 1:5.42-1
- updated to 5.42 (#714123)
- use updated disk databaze(#604267)

* Tue Oct 04 2011 Michal Hlavinka <mhlavink@redhat.com> - 1:5.38-3
- fix SCSI log page sanity check (#714888)

* Thu Aug 07 2008 Tomas Smetana <tsmetana@redhat.com> - 1:5.38-2
- fix CXXFLAGS and default configuration file

* Thu Aug 07 2008 Tomas Smetana <tsmetana@redhat.com> - 1:5.38-1
- upgrade to 5.38
- fix #438556 - upgrade request
- fix #456471 - SELinux prevents smartd from monitoring 3ware RAID

* Tue Dec 04 2007 Tomas Smetana <tsmetana@redhat.com> - 1:5.36-4
- fix #232168 - wrong exit status of the init script
- fix #326551 - smartctl hangs the system when run on PERC controller

* Tue Nov  7 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.36-3.1
- set cloexec on device descriptor so it doesn't leak to sendmail (#214182)
- fixed minor bug in initscript (#213683)
- backported SATA disk detection from upstream

* Fri Aug 18 2006 Jesse Keating <jkeating@redhat.com> - 1:5.36-3
- rebuilt with latest binutils to pick up 64K -z commonpagesize on ppc*
  (#203001)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:5.36-2.1
- rebuild

* Tue Jun 27 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.36-2
- kudzu is deprecated, replace it with HAL (#195752)
- moved later in the boot process so haldaemon is already running
  when drives are being detected

* Thu May 11 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.36-1
- new upstream version
- included patch with support for cciss controllers (#191288)

* Tue May  2 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.33-8
- regenerate smartd.conf on every startup if the config file
  is autogenerated (#190065)

* Fri Mar 24 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.33-7
- add missing quotes to /etc/sysconfig/smartmontools

* Wed Mar 22 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.33-6
- test SATA drives correctly

* Wed Mar 22 2006 Tomas Mraz <tmraz@redhat.com> - 1:5.33-5
- add default /etc/sysconfig/smartmontools file
- ignore errors on startup (#186130)
- test drive for SMART support before adding it to smartd.conf

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:5.33-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:5.33-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Tomas Mraz <tmraz@redhat.com> 1:5.33-4
- mail should be sent to root not root@localhost (#174252)

* Fri Nov 25 2005 Tomas Mraz <tmraz@redhat.com> 1:5.33-3
- add libata disks with -d ata if the libata version
  is new enough otherwise do not add them (#145859, #174095)

* Thu Nov  3 2005 Tomas Mraz <tmraz@redhat.com> 1:5.33-2
- Spec file cleanup by Robert Scheck <redhat@linuxnetz.de> (#170959)
- manual release numbering
- remove bogus patch of non-installed file
- only non-removable drives should be added to smartd.conf
- smartd.conf should be owned (#171498)

* Tue Oct 25 2005 Dave Jones <davej@redhat.com>
- Add comments to generated smartd.conf (#135397)

* Thu Aug 04 2005 Karsten Hopp <karsten@redhat.de>
- package all python files

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Build on PPC32 too (#147090)

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

